JobSplitWriter (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.split
Class JobSplitWriter

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplitWriter

    public class JobSplitWriter

extends Object

The class that is used by the Job clients to write splits (both the meta and the raw bytes parts)

Constructor Summary
`JobSplitWriter()`

Method Summary
`static void` | `createSplitFiles(Path jobSubmitDir, Configuration conf, FileSystem fs, InputSplit[] splits)`
`static
`<T extends InputSplit> void`
` | `createSplitFiles(Path jobSubmitDir, Configuration conf, FileSystem fs, List<InputSplit> splits)`
`static
`<T extends InputSplit> void`
` | `createSplitFiles(Path jobSubmitDir, Configuration conf, FileSystem fs, T[] splits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSplitWriter

    public JobSplitWriter()

Method Detail

### createSplitFiles

    public static <T extends InputSplit> void createSplitFiles(Path jobSubmitDir,
                                                               Configuration conf,
                                                               FileSystem fs,
                                                               List<InputSplit> splits)
                                 throws IOException,
                                        InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### createSplitFiles

    public static <T extends InputSplit> void createSplitFiles(Path jobSubmitDir,
                                                               Configuration conf,
                                                               FileSystem fs,
                                                               T[] splits)
                                 throws IOException,
                                        InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### createSplitFiles

    public static void createSplitFiles(Path jobSubmitDir,
                                        Configuration conf,
                                        FileSystem fs,
                                        InputSplit[] splits)
                                 throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation